[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# DirectoryExists

Check whether a directory exists in the file system.

## Declaration

Source position: filutilh.inc line 87

`function DirectoryExists(`
`const Directory: String`
`):Boolean;`

## Description

DirectoryExists checks whether Directory exists in the filesystem and is actually a directory. If this is the case, the function returns True, otherwise False is returned.

## See also

FileExists |  | Check whether a file exists in the filesystem.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.